> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get configs list

> Get list of logs uploader configs.



## OpenAPI

````yaml /api-reference/services_documented/cdn_api.yaml get /cdn/logs_uploader/configs
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN service
    description: Information about the current state of the CDN service in your account.
    x-displayName: CDN service
  - name: CDN resources
    x-displayName: CDN resources
  - name: Origins
    x-displayName: Origins
  - name: Rules
    description: >-
      Rules allow to set up custom settings for certain file types or paths.

      By default, the rule inherits all options values from the related CDN
      resource.


      Each option in rule settings can be in one of the following states:

      - **Inherit** - Option is not added to the rule. Option inherits its value
      from the CDN resource settings. In this case, the option value is
      **null**.

      - **ON** - Option is added to the rule and enabled. Option values
      configured in the rule will override values from the CDN resource
      settings.

      - **OFF** - Option is added to the rule and disabled. Option will be
      turned off.
    x-displayName: Rules
  - name: Rule templates
    x-displayName: Rule templates
  - name: SSL certificates
    x-displayName: SSL certificates
  - name: Let's Encrypt certificates
    x-displayName: Let's Encrypt certificates
  - name: CA certificates
    x-displayName: CA certificates
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
    x-displayName: CDN activity logs
  - name: Log viewer
    description: >-
      Log viewer provides you with general information about CDN operation. This
      information does not contain all possible

      sets of fields and restricted by time. To receive full data, use Logs
      Uploader.
    x-displayName: Log viewer
  - name: Logs uploader
    description: >-
      Logs uploader allows you to upload logs with desired format to desired
      storages.


      Consists of three main parts:

      - **Policies** - rules that define which logs are uploaded and how they
      are uploaded.

      - **Targets** - destinations where logs are uploaded.

      - **Configs** - combinations of logs uploader policies, targets and
      resources to which they are applied.
    x-displayName: Logs uploader
  - name: Tools
    x-displayName: Tools
  - name: CDN Statistics
    description: >-
      Consumption statistics is updated in near real-time as a standard
      practice.

      However, the frequency of updates can vary, but they are typically
      available within a 24-hour period.

      Exceptions, such as maintenance periods, may delay data beyond 24 hours
      until servers resume and fill in the missing statistics.
    x-displayName: Statistics
  - name: Advanced analytics
    description: >-
      Advanced analytics allows to get statistics about unique visitors,
      traffic, and requests for countries, directories, browsers, devices, and
      operation systems for up to 90 days starting from today.


      Advanced analytics API is based on the [GraphQL
      framework](https://graphql.org/).


      Advanced analytics API has one single endpoint:

       https://api.gcore.com/cdn/advanced/v2/query

      You can pass the query parameters as a JSON object in the payload of a
      POST request to this endpoint.

      You can use curl to make requests to the Advanced analytics API.
      Alternatively, you can use a GraphQL client

      to construct queries and pass requests to the Advanced analytics API.


      You can write queries in GraphQL much like in SQL: specify the data set
      (CDN resource), the metrics

      to retrieve (such as unique visitors and traffic), and filter or group by
      dimensions (for example, a country).
    x-displayName: Advanced analytics
  - name: Origin shielding
    x-displayName: Origin shielding
  - name: IP addresses list
    x-displayName: IP addresses list
  - name: Purge history
    x-displayName: Purge history
paths:
  /cdn/logs_uploader/configs:
    get:
      tags:
        - Logs uploader
      summary: Get configs list
      description: Get list of logs uploader configs.
      operationId: get-configs-list
      parameters:
        - in: query
          name: search
          schema:
            type: string
          description: Search by config name or id.
        - in: query
          name: resource_ids
          schema:
            type: array
            items:
              type: integer
          description: Filter by ids of CDN resources that are assigned to given config.
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LogsUploaderConfigListResponse'
        '403':
          description: Feature is disabled for your account.
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            logs_uploader_config_list = client.cdn.logs_uploader.configs.list()
            print(logs_uploader_config_list)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cdn\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tlogsUploaderConfigList, err := client.CDN.LogsUploader.Configs.List(context.TODO(), cdn.LogsUploaderConfigListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", logsUploaderConfigList)\n}\n"
components:
  parameters:
    limit:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        maximum: 1000
      description: Maximum number of items to return in the response. Cannot exceed 1000.
    offset:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
      description: Number of items to skip from the beginning of the list.
  schemas:
    LogsUploaderConfigListResponse:
      oneOf:
        - title: Plain list
          type: array
          items:
            $ref: '#/components/schemas/LogsUploaderConfigResponse'
          example:
            - id: 1
              client_id: 100
              created: '2024-01-15T10:30:00Z'
              updated: '2024-01-15T10:30:00Z'
              enabled: true
              name: Production Logs
              policy: 123
              target: 456
              for_all_resources: false
              resources:
                - 1001
                - 1002
              status:
                status: successful
                code: 0
                updated: '2024-01-15T10:30:00Z'
                details: ''
        - title: Paginated list
          allOf:
            - $ref: '#/components/schemas/PaginatedResponse'
            - type: object
              properties:
                results:
                  type: array
                  items:
                    $ref: '#/components/schemas/LogsUploaderConfigResponse'
          example:
            count: 1
            next: null
            previous: null
            results:
              - id: 1
                client_id: 100
                created: '2024-01-15T10:30:00Z'
                updated: '2024-01-15T10:30:00Z'
                enabled: true
                name: Production Logs
                policy: 123
                target: 456
                for_all_resources: false
                resources:
                  - 1001
                  - 1002
                status:
                  status: successful
                  code: 0
                  updated: '2024-01-15T10:30:00Z'
                  details: ''
    LogsUploaderConfigResponse:
      properties:
        id:
          type: integer
          readOnly: true
        client_id:
          type: integer
          description: Client that owns the config.
          readOnly: true
        created:
          type: string
          format: date-time
          readOnly: true
          description: Time when the config was created.
        updated:
          type: string
          format: date-time
          readOnly: true
          description: Time when the config was updated.
        enabled:
          type: boolean
          description: Enables or disables the config.
        name:
          type: string
          description: Name of the config.
        policy:
          type: integer
          description: ID of the policy that should be assigned to given config.
        target:
          type: integer
          description: ID of the target to which logs should be uploaded.
        for_all_resources:
          type: boolean
          description: >-
            If set to true, the config will be applied to all CDN resources.

            If set to false, the config will be applied to the resources
            specified in the `resources` field.
        resources:
          type: array
          items:
            type: integer
          description: List of resource IDs to which the config should be applied.
        status:
          allOf:
            - $ref: '#/components/schemas/LogsUploaderValidationResponse'
            - type: object
              description: Validation status of the logs uploader config.
    PaginatedResponse:
      type: object
      properties:
        count:
          type: integer
          description: Total number of items.
        next:
          type: string
          nullable: true
          description: >-
            URL to the next page of results. Null if current page is the last
            one.
        previous:
          type: string
          nullable: true
          description: >-
            URL to the previous page of results. Null if current page is the
            first one.
        results:
          type: array
          description: List of items on the current page.
      required:
        - count
        - next
        - previous
        - results
    LogsUploaderValidationResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - in_progress
            - successful
            - failed
          description: Status of the validation.
        code:
          type: integer
          description: Error code indicating the type of validation error.
        updated:
          type: string
          format: date-time
          description: Time when the validation status was updated.
        details:
          type: string
          description: Error message if the validation failed.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````